POST api/NTSetting/PostCOSDocumnetType

Request Information

URI Parameters

None.

Body Parameters

COSDocumentTypeDTO
NameDescriptionTypeAdditional information
Id

integer

None.

Name

string

String length: inclusive between 0 and 250

DocumentCategoryId

integer

None.

Sequence

integer

None.

NeedMoreInfo

boolean

None.

DocumentCategoryName

string

String length: inclusive between 0 and 100

DocumentCode

string

String length: inclusive between 0 and 100

Permission

string

String length: inclusive between 0 and 100

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "Name": "sample string 2",
  "DocumentCategoryId": 3,
  "Sequence": 4,
  "NeedMoreInfo": true,
  "DocumentCategoryName": "sample string 6",
  "DocumentCode": "sample string 7",
  "Permission": "sample string 8",
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:26:13.8746695-07:00",
  "DateUpdated": "2026-08-04T14:26:13.8746695-07:00",
  "UserIDCreated": 12,
  "UserIDUpdated": 13,
  "CompanyCode": "sample string 14",
  "IsExcludeDiscount": true
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfCOSDocumentTypeDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

COSDocumentTypeDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Name": "sample string 2",
    "DocumentCategoryId": 3,
    "Sequence": 4,
    "NeedMoreInfo": true,
    "DocumentCategoryName": "sample string 6",
    "DocumentCode": "sample string 7",
    "Permission": "sample string 8",
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:26:13.8902975-07:00",
    "DateUpdated": "2026-08-04T14:26:13.8902975-07:00",
    "UserIDCreated": 12,
    "UserIDUpdated": 13,
    "CompanyCode": "sample string 14",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}